public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Manuel Rüger" <mrueg@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/prometheus_flask_exporter/
Date: Tue, 23 Apr 2019 13:08:24 +0000 (UTC)	[thread overview]
Message-ID: <1556024891.2650e279248c102a46e762828d5e9962534ca231.mrueg@gentoo> (raw)

commit:     2650e279248c102a46e762828d5e9962534ca231
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Tue Apr 23 13:08:11 2019 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Tue Apr 23 13:08:11 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2650e279

dev-python/prometheus_flask_exporter: Version bump to 0.7.2

Package-Manager: Portage-2.3.63, Repoman-2.3.12
Signed-off-by: Manuel Rüger <mrueg <AT> gentoo.org>

 dev-python/prometheus_flask_exporter/Manifest      |  1 +
 .../prometheus_flask_exporter-0.7.2.ebuild         | 32 ++++++++++++++++++++++
 2 files changed, 33 insertions(+)

diff --git a/dev-python/prometheus_flask_exporter/Manifest b/dev-python/prometheus_flask_exporter/Manifest
index f13ea7cbcb7..c3b2650e9b7 100644
--- a/dev-python/prometheus_flask_exporter/Manifest
+++ b/dev-python/prometheus_flask_exporter/Manifest
@@ -1,2 +1,3 @@
 DIST prometheus_flask_exporter-0.4.1.tar.gz 169196 BLAKE2B f88212acf6a1e64207001a620bf562e121f681fec972d1d97ddffa2b8cd2f9c9af4b4da377234f6b98731702d964dd14835377e805e9d72855f463907aaaed9c SHA512 98819d09f66a7fb272ce298fadb77848de2591a42dccc29cbf1cf69b423093789ef5708f7082d54d11ce2bf2e092d84a52c22b916af0081c64fc4838e7f5e374
 DIST prometheus_flask_exporter-0.5.1.tar.gz 171616 BLAKE2B 49c95ec09f72c2c6dd61b01e55ebb70c19aee6cb782bb1a3b7a7dc28bc5a1d119af15e4740051627a06dfbead578acb1743adf7b40278faed21ff7b5717ca190 SHA512 444ccff5e7430a673c662c60c4588a949e12929ca49065d076ad28fca14f4fe945e8ad68aef5bf297f69892463c92a41fb3309e487a1c856897fa0132c69298d
+DIST prometheus_flask_exporter-0.7.2.tar.gz 172123 BLAKE2B 9c2a30924414547f34e84152d3c7d6d95785e868fbdeab1a3c157804bba17d90b39404e285ca0349ce30ca19e2e8d1c62c35f4881847844636d262a6bc835f58 SHA512 42c425861504a21c14a67b3ee7571510e586ba6166e3ecd66ed0263f527a563561eea7034e050ad7b03154090918aa88e0a07e13808acb9f4605c021d19bf3c1

diff --git a/dev-python/prometheus_flask_exporter/prometheus_flask_exporter-0.7.2.ebuild b/dev-python/prometheus_flask_exporter/prometheus_flask_exporter-0.7.2.ebuild
new file mode 100644
index 00000000000..2b585843842
--- /dev/null
+++ b/dev-python/prometheus_flask_exporter/prometheus_flask_exporter-0.7.2.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python{2_7,3_{5,6}} )
+
+inherit distutils-r1
+
+DESCRIPTION="Provides HTTP request metrics to export into Prometheus"
+HOMEPAGE="https://pypi.python.org/pypi/prometheus-flask-exporter https://github.com/rycus86/prometheus_flask_exporter"
+SRC_URI="https://github.com/rycus86/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+
+RDEPEND="
+	dev-python/flask[${PYTHON_USEDEP}]
+	dev-python/prometheus_client[${PYTHON_USEDEP}]
+"
+DEPEND="
+	dev-python/setuptools[${PYTHON_USEDEP}]
+	test? (
+		${RDEPEND}
+		dev-python/pytest[${PYTHON_USEDEP}]
+	)
+"
+
+python_test() {
+	pytest -vv || die "Tests failed with ${EPYTHON}"
+}


             reply	other threads:[~2019-04-23 13:08 UTC|newest]

Thread overview: 4+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-04-23 13:08 Manuel Rüger [this message]
  -- strict thread matches above, loose matches on Subject: below --
2020-03-28 12:42 [gentoo-commits] repo/gentoo:master commit in: dev-python/prometheus_flask_exporter/ Michał Górny
2018-12-19 13:59 Manuel Rüger
2018-12-13 11:19 Manuel Rüger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1556024891.2650e279248c102a46e762828d5e9962534ca231.mrueg@gentoo \
    --to=mrueg@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox